///////
//
// Student: Russell Lowke
//     T.F: Francis Crick
// Unit Three, Easy Supplementary - question 9 [worth 2pts],  7/6/2002
//
//  Write a program which reads a line of input
//  and tells whether what the user typed was declarative, exclamatory, or interrogative.


#include <iostream>
#include <iomanip>

void main()
{
	char c = '\0', p;
	
	cin.unsetf(ios::skipws);		// unset skip whitespace
	
	do {
	
		p = c;						// save previous char
		cin >> c;					// get input from keyboard
	    	
	} while ( c != '\n' );			// loop until newline
	
	if (p == '.')
    	cout << "delarative(.)"    << endl;
    else if (p == '!')
       	cout << "exclamatory(!)"   << endl;
    else if (p == '?')
       	cout << "interrogative(?)" << endl;
    else
       	cout << "something else"   << endl;
}
